Subject: Re: IPP> Re: MOD - RESEND: Proposal for IPP to meet IESG Language and CharSet requirements

From: [email-masked] (Robert Herriot)
Date: Thu, 9 Oct 1997 12:48:52 -0700

> From [email-masked] Wed Oct  8 16:45:25 1997
> 
> > For example, 'application/octet-stream'
> > and 'application/vnd.hp-PCL'.  While PCL has an optional instruction
> > inside the document data that specifies the codeset, it is optional,
> > even when the codeset is different from US-ASCII (or HP Roman-8).
> 
> For 'application/vnd.hp-PCL': if it is necessary to know the codeset
> in order to properly interpret application/vnd.hp-pcl, then the
> definition of application/vnd.hp-pcl is deficient. If you can't
> convince HP to fix their registration, you could register an
> alternative value. It may well be that the range of available
> 'codeset' for some printer types is different than the range
> of registered Internet 'charset' values; after all, 'charset'
> combines both the coded character set and the encoding scheme,
> while some printer languages may employ a different mechanism
> for mapping between embedded integers and visual representations.
> 

I'm no expert in PCL, but I understand that PCL contains command
(escape codes) in US-ASCII that tell the PCL interpreter how to
interpret subsequent octets. So effectively, PCL is a binary
octet stream which the PCL interpreter can process. Thus there is
no need to specify a character set and in fact a PCL file could
contain two character sets, e.g. US-ASCII followed by UCS-2.